using System;
using System.Windows.Forms;

namespace Sample_Viewer_Program
{
	/// <summary>
	/// Summary description for OptionsBox.
	/// </summary>
	public class OptionsBoxType : Form
	{
		internal TabControl tabControl1;
		internal TabPage tabPage1;
		internal TabPage tabPage2;
		internal CheckBox WindowAll;
		private Label label1;
		private Label label2;
		internal TextBox AEName;
		internal TextBox Port;
		private TabPage tabPage3;
		private GroupBox groupBox1;
		private Label label3;
		private Label label4;
		private Label label5;
		public TextBox StorageNode;
		public TextBox StoragePort;
		public TextBox StorageAE;
		private Label label6;
		private TabPage tabPage4;
		private GroupBox groupBox2;
		private Label label7;
		private Label label8;
		private Label label9;
		public TextBox RemoteNode;
		public TextBox RemotePort;
		public TextBox RemoteAE;
		public GroupBox groupBox3;
		private Label label10;
		public TextBox CallingAE;
		private Label label11;
		public TextBox MoveDestination;
		private GroupBox groupBox4;
		public RadioButton CGET;
		public RadioButton CMOVE;
		private GroupBox groupBox5;
		public RadioButton PatientRoot;
		public RadioButton StudyRoot;
		private TabPage tabPage5;
		private GroupBox groupBox6;
		public CheckBox PrintInColour;
		private Label label12;
		private Label label13;
		private Label label14;
		private Label label15;
		public TextBox PrintNode;
		public TextBox PrintPort;
		public TextBox PrintAE;
		public TextBox PrintCallingAE;
		private Label label16;
		public ComboBox PrintFormat;
		public ComboBox Magnification;
		public ComboBox FilmSize;
		public ComboBox PrintOrientation;
		private Label label17;
		private Label label18;
		private Label label19;
		public Button OK_Button;
		private TabPage tabPage6;
		private Label label20;
		private Label label21;
		public TextBox LogPathText;
		public TextBox LogLevelText;
		public Button StartLoggingBTN;
		public Button StopLoggingBTN;
		// ====================
		public DicomObjects.DicomServer ServerOpt;
		
		// ====================

		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public OptionsBoxType()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.tabControl1 = new TabControl();
			this.tabPage1 = new TabPage();
			this.WindowAll = new CheckBox();
			this.tabPage2 = new TabPage();
			this.Port = new TextBox();
			this.AEName = new TextBox();
			this.label2 = new Label();
			this.label1 = new Label();
			this.tabPage3 = new TabPage();
			this.label6 = new Label();
			this.groupBox1 = new GroupBox();
			this.StorageAE = new TextBox();
			this.StoragePort = new TextBox();
			this.StorageNode = new TextBox();
			this.label5 = new Label();
			this.label4 = new Label();
			this.label3 = new Label();
			this.tabPage4 = new TabPage();
			this.groupBox5 = new GroupBox();
			this.StudyRoot = new RadioButton();
			this.PatientRoot = new RadioButton();
			this.groupBox4 = new GroupBox();
			this.CMOVE = new RadioButton();
			this.CGET = new RadioButton();
			this.groupBox3 = new GroupBox();
			this.MoveDestination = new TextBox();
			this.label11 = new Label();
			this.CallingAE = new TextBox();
			this.label10 = new Label();
			this.groupBox2 = new GroupBox();
			this.RemoteAE = new TextBox();
			this.RemotePort = new TextBox();
			this.RemoteNode = new TextBox();
			this.label9 = new Label();
			this.label8 = new Label();
			this.label7 = new Label();
			this.tabPage5 = new TabPage();
			this.Magnification = new ComboBox();
			this.label19 = new Label();
			this.FilmSize = new ComboBox();
			this.label18 = new Label();
			this.PrintOrientation = new ComboBox();
			this.label17 = new Label();
			this.PrintFormat = new ComboBox();
			this.label16 = new Label();
			this.PrintInColour = new CheckBox();
			this.groupBox6 = new GroupBox();
			this.PrintCallingAE = new TextBox();
			this.PrintAE = new TextBox();
			this.PrintPort = new TextBox();
			this.PrintNode = new TextBox();
			this.label15 = new Label();
			this.label14 = new Label();
			this.label13 = new Label();
			this.label12 = new Label();
			this.tabPage6 = new TabPage();
			this.StopLoggingBTN = new Button();
			this.StartLoggingBTN = new Button();
			this.LogLevelText = new TextBox();
			this.LogPathText = new TextBox();
			this.label21 = new Label();
			this.label20 = new Label();
			this.OK_Button = new Button();
			this.tabControl1.SuspendLayout();
			this.tabPage1.SuspendLayout();
			this.tabPage2.SuspendLayout();
			this.tabPage3.SuspendLayout();
			this.groupBox1.SuspendLayout();
			this.tabPage4.SuspendLayout();
			this.groupBox5.SuspendLayout();
			this.groupBox4.SuspendLayout();
			this.groupBox3.SuspendLayout();
			this.groupBox2.SuspendLayout();
			this.tabPage5.SuspendLayout();
			this.groupBox6.SuspendLayout();
			this.tabPage6.SuspendLayout();
			this.SuspendLayout();
			// 
			// tabControl1
			// 
			this.tabControl1.Controls.Add(this.tabPage1);
			this.tabControl1.Controls.Add(this.tabPage2);
			this.tabControl1.Controls.Add(this.tabPage3);
			this.tabControl1.Controls.Add(this.tabPage4);
			this.tabControl1.Controls.Add(this.tabPage5);
			this.tabControl1.Controls.Add(this.tabPage6);
			this.tabControl1.Location = new System.Drawing.Point(8, 8);
			this.tabControl1.Name = "tabControl1";
			this.tabControl1.SelectedIndex = 0;
			this.tabControl1.Size = new System.Drawing.Size(576, 232);
			this.tabControl1.TabIndex = 0;
			// 
			// tabPage1
			// 
			this.tabPage1.Controls.Add(this.WindowAll);
			this.tabPage1.Location = new System.Drawing.Point(4, 22);
			this.tabPage1.Name = "tabPage1";
			this.tabPage1.Size = new System.Drawing.Size(568, 206);
			this.tabPage1.TabIndex = 0;
			this.tabPage1.Text = "Viewer";
			// 
			// WindowAll
			// 
			this.WindowAll.Location = new System.Drawing.Point(56, 32);
			this.WindowAll.Name = "WindowAll";
			this.WindowAll.Size = new System.Drawing.Size(176, 32);
			this.WindowAll.TabIndex = 0;
			this.WindowAll.Text = "Window All Frames Together";
			// 
			// tabPage2
			// 
			this.tabPage2.Controls.Add(this.Port);
			this.tabPage2.Controls.Add(this.AEName);
			this.tabPage2.Controls.Add(this.label2);
			this.tabPage2.Controls.Add(this.label1);
			this.tabPage2.Location = new System.Drawing.Point(4, 22);
			this.tabPage2.Name = "tabPage2";
			this.tabPage2.Size = new System.Drawing.Size(568, 206);
			this.tabPage2.TabIndex = 1;
			this.tabPage2.Text = "General SCP";
			// 
			// Port
			// 
			this.Port.Location = new System.Drawing.Point(264, 88);
			this.Port.Name = "Port";
			this.Port.Size = new System.Drawing.Size(128, 20);
			this.Port.TabIndex = 3;
			this.Port.Text = "1111";
			this.Port.Leave += new System.EventHandler(this.Port_Leave);
			this.Port.Enter += new System.EventHandler(this.Port_Enter);
			// 
			// AEName
			// 
			this.AEName.Location = new System.Drawing.Point(264, 48);
			this.AEName.Name = "AEName";
			this.AEName.Size = new System.Drawing.Size(128, 20);
			this.AEName.TabIndex = 2;
			this.AEName.Text = "";
			// 
			// label2
			// 
			this.label2.AutoSize = true;
			this.label2.Location = new System.Drawing.Point(128, 88);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(89, 16);
			this.label2.TabIndex = 1;
			this.label2.Text = "Port to Listen On";
			// 
			// label1
			// 
			this.label1.AutoSize = true;
			this.label1.Location = new System.Drawing.Point(88, 48);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(140, 16);
			this.label1.TabIndex = 0;
			this.label1.Text = "This Application Entity Title";
			// 
			// tabPage3
			// 
			this.tabPage3.Controls.Add(this.label6);
			this.tabPage3.Controls.Add(this.groupBox1);
			this.tabPage3.Location = new System.Drawing.Point(4, 22);
			this.tabPage3.Name = "tabPage3";
			this.tabPage3.Size = new System.Drawing.Size(568, 206);
			this.tabPage3.TabIndex = 2;
			this.tabPage3.Text = "Storage & Verification SCU";
			// 
			// label6
			// 
			this.label6.AutoSize = true;
			this.label6.Location = new System.Drawing.Point(88, 176);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(233, 16);
			this.label6.TabIndex = 1;
			this.label6.Text = "See Query SCU Page for Local AE Title Used";
			// 
			// groupBox1
			// 
			this.groupBox1.Controls.Add(this.StorageAE);
			this.groupBox1.Controls.Add(this.StoragePort);
			this.groupBox1.Controls.Add(this.StorageNode);
			this.groupBox1.Controls.Add(this.label5);
			this.groupBox1.Controls.Add(this.label4);
			this.groupBox1.Controls.Add(this.label3);
			this.groupBox1.Location = new System.Drawing.Point(88, 24);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(376, 136);
			this.groupBox1.TabIndex = 0;
			this.groupBox1.TabStop = false;
			this.groupBox1.Text = "Remote SCP";
			// 
			// StorageAE
			// 
			this.StorageAE.Location = new System.Drawing.Point(200, 96);
			this.StorageAE.Name = "StorageAE";
			this.StorageAE.Size = new System.Drawing.Size(144, 20);
			this.StorageAE.TabIndex = 5;
			this.StorageAE.Text = "Remote_AE";
			// 
			// StoragePort
			// 
			this.StoragePort.Location = new System.Drawing.Point(200, 64);
			this.StoragePort.Name = "StoragePort";
			this.StoragePort.Size = new System.Drawing.Size(144, 20);
			this.StoragePort.TabIndex = 4;
			this.StoragePort.Text = "104";
			// 
			// StorageNode
			// 
			this.StorageNode.Location = new System.Drawing.Point(200, 32);
			this.StorageNode.Name = "StorageNode";
			this.StorageNode.Size = new System.Drawing.Size(144, 20);
			this.StorageNode.TabIndex = 3;
			this.StorageNode.Text = "localhost";
			// 
			// label5
			// 
			this.label5.AutoSize = true;
			this.label5.Location = new System.Drawing.Point(112, 96);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(53, 16);
			this.label5.TabIndex = 2;
			this.label5.Text = "AE Name";
			// 
			// label4
			// 
			this.label4.AutoSize = true;
			this.label4.Location = new System.Drawing.Point(104, 64);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(68, 16);
			this.label4.TabIndex = 1;
			this.label4.Text = "Port Number";
			// 
			// label3
			// 
			this.label3.AutoSize = true;
			this.label3.Location = new System.Drawing.Point(40, 32);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(136, 16);
			this.label3.TabIndex = 0;
			this.label3.Text = "Node Name or IP Address";
			// 
			// tabPage4
			// 
			this.tabPage4.Controls.Add(this.groupBox5);
			this.tabPage4.Controls.Add(this.groupBox4);
			this.tabPage4.Controls.Add(this.groupBox3);
			this.tabPage4.Controls.Add(this.groupBox2);
			this.tabPage4.Location = new System.Drawing.Point(4, 22);
			this.tabPage4.Name = "tabPage4";
			this.tabPage4.Size = new System.Drawing.Size(568, 206);
			this.tabPage4.TabIndex = 3;
			this.tabPage4.Text = "Query SCU";
			// 
			// groupBox5
			// 
			this.groupBox5.Controls.Add(this.StudyRoot);
			this.groupBox5.Controls.Add(this.PatientRoot);
			this.groupBox5.Location = new System.Drawing.Point(320, 96);
			this.groupBox5.Name = "groupBox5";
			this.groupBox5.Size = new System.Drawing.Size(224, 96);
			this.groupBox5.TabIndex = 3;
			this.groupBox5.TabStop = false;
			this.groupBox5.Text = "Query Root";
			// 
			// StudyRoot
			// 
			this.StudyRoot.Location = new System.Drawing.Point(56, 56);
			this.StudyRoot.Name = "StudyRoot";
			this.StudyRoot.Size = new System.Drawing.Size(88, 16);
			this.StudyRoot.TabIndex = 1;
			this.StudyRoot.Text = "STUDY";
			// 
			// PatientRoot
			// 
			this.PatientRoot.Checked = true;
			this.PatientRoot.Location = new System.Drawing.Point(56, 24);
			this.PatientRoot.Name = "PatientRoot";
			this.PatientRoot.Size = new System.Drawing.Size(72, 16);
			this.PatientRoot.TabIndex = 0;
			this.PatientRoot.TabStop = true;
			this.PatientRoot.Text = "PATIENT";
			// 
			// groupBox4
			// 
			this.groupBox4.Controls.Add(this.CMOVE);
			this.groupBox4.Controls.Add(this.CGET);
			this.groupBox4.Location = new System.Drawing.Point(320, 8);
			this.groupBox4.Name = "groupBox4";
			this.groupBox4.Size = new System.Drawing.Size(224, 80);
			this.groupBox4.TabIndex = 2;
			this.groupBox4.TabStop = false;
			this.groupBox4.Text = "Retrieve Method";
			// 
			// CMOVE
			// 
			this.CMOVE.Location = new System.Drawing.Point(56, 56);
			this.CMOVE.Name = "CMOVE";
			this.CMOVE.Size = new System.Drawing.Size(72, 16);
			this.CMOVE.TabIndex = 1;
			this.CMOVE.Text = "C-MOVE";
			this.CMOVE.CheckedChanged += new System.EventHandler(this.CMOVE_CheckedChanged);
			// 
			// CGET
			// 
			this.CGET.Checked = true;
			this.CGET.Location = new System.Drawing.Point(56, 24);
			this.CGET.Name = "CGET";
			this.CGET.Size = new System.Drawing.Size(64, 16);
			this.CGET.TabIndex = 0;
			this.CGET.TabStop = true;
			this.CGET.Text = "C-GET";
			// 
			// groupBox3
			// 
			this.groupBox3.Controls.Add(this.MoveDestination);
			this.groupBox3.Controls.Add(this.label11);
			this.groupBox3.Controls.Add(this.CallingAE);
			this.groupBox3.Controls.Add(this.label10);
			this.groupBox3.Location = new System.Drawing.Point(8, 112);
			this.groupBox3.Name = "groupBox3";
			this.groupBox3.Size = new System.Drawing.Size(272, 80);
			this.groupBox3.TabIndex = 1;
			this.groupBox3.TabStop = false;
			this.groupBox3.Text = "Local AE";
			// 
			// MoveDestination
			// 
			this.MoveDestination.Location = new System.Drawing.Point(160, 48);
			this.MoveDestination.Name = "MoveDestination";
			this.MoveDestination.Size = new System.Drawing.Size(96, 20);
			this.MoveDestination.TabIndex = 3;
			this.MoveDestination.Text = "LOCAL";
			// 
			// label11
			// 
			this.label11.AutoSize = true;
			this.label11.Location = new System.Drawing.Point(16, 48);
			this.label11.Name = "label11";
			this.label11.Size = new System.Drawing.Size(92, 16);
			this.label11.TabIndex = 2;
			this.label11.Text = "Move Destination";
			// 
			// CallingAE
			// 
			this.CallingAE.Location = new System.Drawing.Point(160, 21);
			this.CallingAE.Name = "CallingAE";
			this.CallingAE.Size = new System.Drawing.Size(96, 20);
			this.CallingAE.TabIndex = 1;
			this.CallingAE.Text = "LOCAL";
			// 
			// label10
			// 
			this.label10.AutoSize = true;
			this.label10.Location = new System.Drawing.Point(16, 24);
			this.label10.Name = "label10";
			this.label10.Size = new System.Drawing.Size(126, 16);
			this.label10.TabIndex = 0;
			this.label10.Text = "Calling AE Name to Use";
			// 
			// groupBox2
			// 
			this.groupBox2.Controls.Add(this.RemoteAE);
			this.groupBox2.Controls.Add(this.RemotePort);
			this.groupBox2.Controls.Add(this.RemoteNode);
			this.groupBox2.Controls.Add(this.label9);
			this.groupBox2.Controls.Add(this.label8);
			this.groupBox2.Controls.Add(this.label7);
			this.groupBox2.Location = new System.Drawing.Point(8, 8);
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.Size = new System.Drawing.Size(272, 104);
			this.groupBox2.TabIndex = 0;
			this.groupBox2.TabStop = false;
			this.groupBox2.Text = "Remote SCP";
			// 
			// RemoteAE
			// 
			this.RemoteAE.Location = new System.Drawing.Point(160, 72);
			this.RemoteAE.Name = "RemoteAE";
			this.RemoteAE.Size = new System.Drawing.Size(96, 20);
			this.RemoteAE.TabIndex = 5;
			this.RemoteAE.Text = "Remote_AE";
			// 
			// RemotePort
			// 
			this.RemotePort.Location = new System.Drawing.Point(160, 48);
			this.RemotePort.Name = "RemotePort";
			this.RemotePort.Size = new System.Drawing.Size(96, 20);
			this.RemotePort.TabIndex = 4;
			this.RemotePort.Text = "104";
			// 
			// RemoteNode
			// 
			this.RemoteNode.Location = new System.Drawing.Point(160, 24);
			this.RemoteNode.Name = "RemoteNode";
			this.RemoteNode.Size = new System.Drawing.Size(96, 20);
			this.RemoteNode.TabIndex = 3;
			this.RemoteNode.Text = "LocalHost";
			// 
			// label9
			// 
			this.label9.AutoSize = true;
			this.label9.Location = new System.Drawing.Point(16, 75);
			this.label9.Name = "label9";
			this.label9.Size = new System.Drawing.Size(53, 16);
			this.label9.TabIndex = 2;
			this.label9.Text = "AE Name";
			// 
			// label8
			// 
			this.label8.AutoSize = true;
			this.label8.Location = new System.Drawing.Point(16, 51);
			this.label8.Name = "label8";
			this.label8.Size = new System.Drawing.Size(68, 16);
			this.label8.TabIndex = 1;
			this.label8.Text = "Port Number";
			// 
			// label7
			// 
			this.label7.AutoSize = true;
			this.label7.Location = new System.Drawing.Point(16, 24);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(136, 16);
			this.label7.TabIndex = 0;
			this.label7.Text = "Node Name or IP Address";
			// 
			// tabPage5
			// 
			this.tabPage5.Controls.Add(this.Magnification);
			this.tabPage5.Controls.Add(this.label19);
			this.tabPage5.Controls.Add(this.FilmSize);
			this.tabPage5.Controls.Add(this.label18);
			this.tabPage5.Controls.Add(this.PrintOrientation);
			this.tabPage5.Controls.Add(this.label17);
			this.tabPage5.Controls.Add(this.PrintFormat);
			this.tabPage5.Controls.Add(this.label16);
			this.tabPage5.Controls.Add(this.PrintInColour);
			this.tabPage5.Controls.Add(this.groupBox6);
			this.tabPage5.Location = new System.Drawing.Point(4, 22);
			this.tabPage5.Name = "tabPage5";
			this.tabPage5.Size = new System.Drawing.Size(568, 206);
			this.tabPage5.TabIndex = 4;
			this.tabPage5.Text = "Printing";
			// 
			// Magnification
			// 
			this.Magnification.Items.AddRange(new object[] {
															   "NONE",
															   "CUBIC",
															   "LINEAR"});
			this.Magnification.Location = new System.Drawing.Point(368, 168);
			this.Magnification.Name = "Magnification";
			this.Magnification.Size = new System.Drawing.Size(152, 21);
			this.Magnification.TabIndex = 9;
			this.Magnification.Text = "NONE";
			// 
			// label19
			// 
			this.label19.AutoSize = true;
			this.label19.Location = new System.Drawing.Point(368, 152);
			this.label19.Name = "label19";
			this.label19.Size = new System.Drawing.Size(71, 16);
			this.label19.TabIndex = 8;
			this.label19.Text = "Magnification";
			// 
			// FilmSize
			// 
			this.FilmSize.Items.AddRange(new object[] {
														  "8INX10IN",
														  "14INX17IN"});
			this.FilmSize.Location = new System.Drawing.Point(368, 120);
			this.FilmSize.Name = "FilmSize";
			this.FilmSize.Size = new System.Drawing.Size(152, 21);
			this.FilmSize.TabIndex = 7;
			this.FilmSize.Text = "8INX10IN";
			// 
			// label18
			// 
			this.label18.AutoSize = true;
			this.label18.Location = new System.Drawing.Point(368, 104);
			this.label18.Name = "label18";
			this.label18.Size = new System.Drawing.Size(51, 16);
			this.label18.TabIndex = 6;
			this.label18.Text = "Film Size";
			// 
			// PrintOrientation
			// 
			this.PrintOrientation.Items.AddRange(new object[] {
																  "PORTRAIT",
																  "LANDSCAPE"});
			this.PrintOrientation.Location = new System.Drawing.Point(368, 72);
			this.PrintOrientation.Name = "PrintOrientation";
			this.PrintOrientation.Size = new System.Drawing.Size(152, 21);
			this.PrintOrientation.TabIndex = 5;
			this.PrintOrientation.Text = "PORTRAIT";
			// 
			// label17
			// 
			this.label17.AutoSize = true;
			this.label17.Location = new System.Drawing.Point(368, 56);
			this.label17.Name = "label17";
			this.label17.Size = new System.Drawing.Size(60, 16);
			this.label17.TabIndex = 4;
			this.label17.Text = "Orientation";
			// 
			// PrintFormat
			// 
			this.PrintFormat.Items.AddRange(new object[] {
															 "STANDARD\\1,1",
															 "STANDARD\\2,3"});
			this.PrintFormat.Location = new System.Drawing.Point(368, 24);
			this.PrintFormat.Name = "PrintFormat";
			this.PrintFormat.Size = new System.Drawing.Size(152, 21);
			this.PrintFormat.TabIndex = 3;
			this.PrintFormat.Text = "STANDARD\\1,1";
			// 
			// label16
			// 
			this.label16.AutoSize = true;
			this.label16.Location = new System.Drawing.Point(368, 8);
			this.label16.Name = "label16";
			this.label16.TabIndex = 2;
			this.label16.Text = "Print Format Name";
			// 
			// PrintInColour
			// 
			this.PrintInColour.Location = new System.Drawing.Point(8, 176);
			this.PrintInColour.Name = "PrintInColour";
			this.PrintInColour.TabIndex = 1;
			this.PrintInColour.Text = "Print In Colour";
			// 
			// groupBox6
			// 
			this.groupBox6.Controls.Add(this.PrintCallingAE);
			this.groupBox6.Controls.Add(this.PrintAE);
			this.groupBox6.Controls.Add(this.PrintPort);
			this.groupBox6.Controls.Add(this.PrintNode);
			this.groupBox6.Controls.Add(this.label15);
			this.groupBox6.Controls.Add(this.label14);
			this.groupBox6.Controls.Add(this.label13);
			this.groupBox6.Controls.Add(this.label12);
			this.groupBox6.Location = new System.Drawing.Point(8, 8);
			this.groupBox6.Name = "groupBox6";
			this.groupBox6.Size = new System.Drawing.Size(296, 160);
			this.groupBox6.TabIndex = 0;
			this.groupBox6.TabStop = false;
			this.groupBox6.Text = "Printer";
			// 
			// PrintCallingAE
			// 
			this.PrintCallingAE.Location = new System.Drawing.Point(176, 120);
			this.PrintCallingAE.Name = "PrintCallingAE";
			this.PrintCallingAE.Size = new System.Drawing.Size(104, 20);
			this.PrintCallingAE.TabIndex = 7;
			this.PrintCallingAE.Text = "PrintClientAE";
			// 
			// PrintAE
			// 
			this.PrintAE.Location = new System.Drawing.Point(176, 88);
			this.PrintAE.Name = "PrintAE";
			this.PrintAE.Size = new System.Drawing.Size(104, 20);
			this.PrintAE.TabIndex = 6;
			this.PrintAE.Text = "PrinterAE";
			// 
			// PrintPort
			// 
			this.PrintPort.Location = new System.Drawing.Point(176, 56);
			this.PrintPort.Name = "PrintPort";
			this.PrintPort.Size = new System.Drawing.Size(104, 20);
			this.PrintPort.TabIndex = 5;
			this.PrintPort.Text = "104";
			// 
			// PrintNode
			// 
			this.PrintNode.Location = new System.Drawing.Point(176, 22);
			this.PrintNode.Name = "PrintNode";
			this.PrintNode.Size = new System.Drawing.Size(104, 20);
			this.PrintNode.TabIndex = 4;
			this.PrintNode.Text = "LocalHost";
			// 
			// label15
			// 
			this.label15.AutoSize = true;
			this.label15.Location = new System.Drawing.Point(24, 56);
			this.label15.Name = "label15";
			this.label15.Size = new System.Drawing.Size(68, 16);
			this.label15.TabIndex = 3;
			this.label15.Text = "Port Number";
			// 
			// label14
			// 
			this.label14.AutoSize = true;
			this.label14.Location = new System.Drawing.Point(24, 120);
			this.label14.Name = "label14";
			this.label14.Size = new System.Drawing.Size(111, 16);
			this.label14.TabIndex = 2;
			this.label14.Text = "Print Client AE Name";
			// 
			// label13
			// 
			this.label13.AutoSize = true;
			this.label13.Location = new System.Drawing.Point(24, 88);
			this.label13.Name = "label13";
			this.label13.Size = new System.Drawing.Size(89, 16);
			this.label13.TabIndex = 1;
			this.label13.Text = "Printer AE Name";
			// 
			// label12
			// 
			this.label12.AutoSize = true;
			this.label12.Location = new System.Drawing.Point(24, 24);
			this.label12.Name = "label12";
			this.label12.Size = new System.Drawing.Size(136, 16);
			this.label12.TabIndex = 0;
			this.label12.Text = "Node Name or IP Address";
			// 
			// tabPage6
			// 
			this.tabPage6.Controls.Add(this.StopLoggingBTN);
			this.tabPage6.Controls.Add(this.StartLoggingBTN);
			this.tabPage6.Controls.Add(this.LogLevelText);
			this.tabPage6.Controls.Add(this.LogPathText);
			this.tabPage6.Controls.Add(this.label21);
			this.tabPage6.Controls.Add(this.label20);
			this.tabPage6.Location = new System.Drawing.Point(4, 22);
			this.tabPage6.Name = "tabPage6";
			this.tabPage6.Size = new System.Drawing.Size(568, 206);
			this.tabPage6.TabIndex = 5;
			this.tabPage6.Text = "Logging";
			// 
			// StopLoggingBTN
			// 
			this.StopLoggingBTN.Location = new System.Drawing.Point(216, 128);
			this.StopLoggingBTN.Name = "StopLoggingBTN";
			this.StopLoggingBTN.Size = new System.Drawing.Size(96, 32);
			this.StopLoggingBTN.TabIndex = 5;
			this.StopLoggingBTN.Text = "Stop Logging";
			this.StopLoggingBTN.Click += new System.EventHandler(this.StopLoggingBTN_Click);
			// 
			// StartLoggingBTN
			// 
			this.StartLoggingBTN.Location = new System.Drawing.Point(72, 128);
			this.StartLoggingBTN.Name = "StartLoggingBTN";
			this.StartLoggingBTN.Size = new System.Drawing.Size(104, 32);
			this.StartLoggingBTN.TabIndex = 4;
			this.StartLoggingBTN.Text = "Start Logging";
			this.StartLoggingBTN.Click += new System.EventHandler(this.StartLoggingBTN_Click);
			// 
			// LogLevelText
			// 
			this.LogLevelText.Location = new System.Drawing.Point(152, 85);
			this.LogLevelText.Name = "LogLevelText";
			this.LogLevelText.Size = new System.Drawing.Size(160, 20);
			this.LogLevelText.TabIndex = 3;
			this.LogLevelText.Text = "63";
			// 
			// LogPathText
			// 
			this.LogPathText.Location = new System.Drawing.Point(153, 46);
			this.LogPathText.Name = "LogPathText";
			this.LogPathText.Size = new System.Drawing.Size(160, 20);
			this.LogPathText.TabIndex = 2;
			this.LogPathText.Text = "C:\\Dicom Log Files\\";
			// 
			// label21
			// 
			this.label21.AutoSize = true;
			this.label21.Location = new System.Drawing.Point(72, 88);
			this.label21.Name = "label21";
			this.label21.Size = new System.Drawing.Size(53, 16);
			this.label21.TabIndex = 1;
			this.label21.Text = "Log Level";
			// 
			// label20
			// 
			this.label20.AutoSize = true;
			this.label20.Location = new System.Drawing.Point(72, 48);
			this.label20.Name = "label20";
			this.label20.Size = new System.Drawing.Size(49, 16);
			this.label20.TabIndex = 0;
			this.label20.Text = "Log Path";
			// 
			// OK_Button
			// 
			this.OK_Button.Location = new System.Drawing.Point(456, 248);
			this.OK_Button.Name = "OK_Button";
			this.OK_Button.Size = new System.Drawing.Size(128, 40);
			this.OK_Button.TabIndex = 1;
			this.OK_Button.Text = "OK";
			this.OK_Button.Click += new System.EventHandler(this.OK_Button_Click);
			// 
			// OptionsBoxType
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(600, 302);
			this.Controls.Add(this.OK_Button);
			this.Controls.Add(this.tabControl1);
			this.FormBorderStyle = FormBorderStyle.FixedSingle;
			this.MaximizeBox = false;
			this.Name = "OptionsBoxType";
			this.Text = "OptionsBox";
			this.Load += new System.EventHandler(this.OptionsBox_Load);
			this.tabControl1.ResumeLayout(false);
			this.tabPage1.ResumeLayout(false);
			this.tabPage2.ResumeLayout(false);
			this.tabPage3.ResumeLayout(false);
			this.groupBox1.ResumeLayout(false);
			this.tabPage4.ResumeLayout(false);
			this.groupBox5.ResumeLayout(false);
			this.groupBox4.ResumeLayout(false);
			this.groupBox3.ResumeLayout(false);
			this.groupBox2.ResumeLayout(false);
			this.tabPage5.ResumeLayout(false);
			this.groupBox6.ResumeLayout(false);
			this.tabPage6.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void OK_Button_Click(object sender, EventArgs e)
		{
			Close();
		}

		private void StartLoggingBTN_Click(object sender, EventArgs e)
		{
			DicomObjects.DicomGlobal.LogToFile(LogPathText.Text, Convert.ToInt32(LogLevelText.Text));
		}

		private void StopLoggingBTN_Click(object sender, EventArgs e)
		{
			DicomObjects.DicomGlobal.LogToFileStop();
		}

		private void OptionsBox_Load(object sender, EventArgs e)
		{
			if(CallingAE.Text == "")
			{
				CallingAE.Text = Environment.MachineName;
			}
            
			if(MoveDestination.Text == "")
			{
				MoveDestination.Text = Environment.MachineName;
			}
		}

		private void Port_Enter(object sender, EventArgs e)
		{
			ServerOpt.Unlisten(Convert.ToInt32(Port.Text));
		}

		private void Port_Leave(object sender, EventArgs e)
		{
			ServerOpt.Listen(Convert.ToInt32(Port.Text));
		}

		private void CMOVE_CheckedChanged(object sender, EventArgs e)
		{
			if(CMOVE.Checked)
			{
				MessageBox.Show("You have requested use of a C-MOVE operation.  Please note that this can ONLY work if the SCP has been set up to 'know' your AET title, and to associate it with your IP address and listening port.  if( the supplied Access server is running on the same machine, then this is OK, as it associates LOCAL = localhost/1111, but if using another server, then this information MUST be set up on that server, as the DICOM C-MOVE protocol allows no method of specifying the destination other than the AE title, which for you currently is '" + MoveDestination.Text + "'\n\rNote that you may also need to change your listening port (by default 1111) to the value known to the server - e.g. for using dicomserver.co.uk, you should change the value to 104");
			}
		}

	}
}
